#ifndef _VALUE_H
#define _VALUE_H

#include "common.h"

typedef float Value;

typedef struct {
	int capacity;
	int count;
	Value* values;
} ValueArray;

void initValueArray( ValueArray* array );
void writeValueArray( ValueArray* array, Value val );
void freeValueArray( ValueArray* array );
void printValue( Value val );

#endif

